Skip to main content
GET
/
customer-groups
List Customer Groups
curl --request GET \
  --url https://integrations.clopos.com/open-api/v2/customer-groups \
  --header 'x-token: <api-key>'
{
  "success": true,
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "discount_type": "<string>",
      "discount_value": 123,
      "system_type": "<string>",
      "total_amount": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "time": 123,
  "timestamp": "<string>",
  "sorts": [
    "<string>"
  ],
  "unix": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.clopos.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-token
string
header
required

JWT access token obtained from /v2/auth endpoint

Query Parameters

page
integer
default:1

Page number for pagination (starts at 1)

Required range: x >= 1
limit
integer
default:50

Number of customer groups to return per page

Required range: 1 <= x <= 200

Response

200 - application/json

Customer groups retrieved successfully.

success
boolean
data
object[]
total
integer
time
integer
timestamp
string
sorts
string[]
unix
integer